Subject: bug#47839: closed (Re: bug#47839: 27.2; [PATCH] The main Emacs manual incorrectly refers to yanking as copying)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Apr 2021 14:24:02 +0000

Your bug report

#47839: 27.2; [PATCH] The main Emacs manual incorrectly refers to yanking as copying

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47839: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47839
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47839: 27.2; [PATCH] The main Emacs manual incorrectly refers to yanking as copying
From: Eli Zaretskii <[email-masked]>
To: Daniel Martín <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Apr 2021 17:23:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 17 Apr 2021 13:31:00 +0200
> From:  Daniel Martín via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> - C-h r
> - We can read the following text: "Killing (cutting) and yanking (copying)
> text".
> 
> This is incorrect.  The correct text should be "Killing (cutting) and
> yanking (pasting) text".
> 
> I've attached a patch with the correction.  (I've not filled the bug number
> in the commit message because I don't know which number the bug tracker
> will assign to this bug report.)

Thanks, pushed to the emacs-27 branch.

Subject: 27.2; [PATCH] The main Emacs manual incorrectly refers to yanking as copying
From: Daniel Martín <[email-masked]>
To: [email-masked]
Date: Sat, 17 Apr 2021 13:31:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce the bug:

- C-h r
- We can read the following text: "Killing (cutting) and yanking (copying)
text".

This is incorrect.  The correct text should be "Killing (cutting) and
yanking (pasting) text".

I've attached a patch with the correction.  (I've not filled the bug number
in the commit message because I don't know which number the bug tracker
will assign to this bug report.)

Thanks.

>From c9576980a0b969c855761e5a988a48d886397a61 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Mart=C3=ADn?= <[email-masked]>
Date: Sat, 17 Apr 2021 13:18:45 +0200
Subject: [PATCH] Fix reference to yanking in the main Emacs manual

* doc/emacs/emacs.texi (Top): Yanking is alternatively known as
pasting, not copying.  (Bug#).
---
 doc/emacs/emacs.texi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/emacs/emacs.texi b/doc/emacs/emacs.texi
index 925c701980..590dc42d15 100644
--- a/doc/emacs/emacs.texi
+++ b/doc/emacs/emacs.texi
@@ -159,7 +159,7 @@ Top
 
 Important Text-Changing Commands
 * Mark::                The mark: how to delimit a region of text.
-* Killing::             Killing (cutting) and yanking (copying) text.
+* Killing::             Killing (cutting) and yanking (pasting) text.
 * Registers::           Saving a text string or a location in the buffer.
 * Display::             Controlling what text is displayed.
 * Search::              Finding or replacing occurrences of a string.
-- 
2.31.0